www/p5-Session-Storage-Secure - The NetBSD Packages Collection

Encrypted, expiring, compressed, serialized session data with integrity

This module implements a secure way to encode session data. It is primarily
intended for storing session data in browser cookies, but could be used with
other backend storage where security of stored session data is important.

Features include:

    () Data serialization and compression using Sereal
    () Data encryption using AES with a unique derived key per encoded session
    () Enforced expiration timestamp (optional)
    () Integrity protected with a message authentication code (MAC)

Build dependencies

devel/p5-Test-Deep devel/p5-Test-Fatal math/p5-Number-Tolerant pkgtools/cwrappers

Runtime dependencies

security/p5-Crypt-CBC security/p5-Crypt-Rijndael security/p5-Crypt-URandom math/p5-Math-Random-ISAAC-XS devel/p5-Moo devel/p5-MooX-Types-MooseLike converters/p5-Sereal-Decoder converters/p5-Sereal-Encoder textproc/p5-String-Compare-ConstantTime devel/p5-namespace-clean lang/perl5 lang/perl5

Available binary packages

aarch64:p5-Session-Storage-Secure-0.011nb2.tgz(NetBSD 9.0)
aarch64:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
aarch64:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
alpha:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
alpha:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
earm:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
earmv6hf:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
earmv6hf:p5-Session-Storage-Secure-0.011nb2.tgz(NetBSD 9.0)
earmv6hf:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
earmv6hf:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
earmv7hf:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 8.0)
earmv7hf:p5-Session-Storage-Secure-0.011nb2.tgz(NetBSD 8.0)
earmv7hf:p5-Session-Storage-Secure-0.011nb2.tgz(NetBSD 8.0)
earmv7hf:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 8.0)
earmv7hf:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
earmv7hf:p5-Session-Storage-Secure-0.011nb2.tgz(NetBSD 9.0)
earmv7hf:p5-Session-Storage-Secure-0.011nb2.tgz(NetBSD 9.0)
earmv7hf:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
earmv7hf:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
i386:p5-Session-Storage-Secure-0.011nb2.tgz(NetBSD 8.0)
i386:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 8.0)
i386:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 8.0)
i386:p5-Session-Storage-Secure-0.011nb2.tgz(NetBSD 9.0)
i386:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
i386:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
mips64eb:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
mips64eb:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
powerpc:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 8.0)
powerpc:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 8.0)
powerpc:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
powerpc:p5-Session-Storage-Secure-0.011nb2.tgz(NetBSD 9.0)
sparc64:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
sparc64:p5-Session-Storage-Secure-0.011nb2.tgz(NetBSD 9.0)
sparc64:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
sparc:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
x86_64:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
x86_64:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
x86_64:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
x86_64:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
x86_64:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 8.0)
x86_64:p5-Session-Storage-Secure-0.011nb2.tgz(NetBSD 8.0)
x86_64:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 8.0)
x86_64:p5-Session-Storage-Secure-0.011nb2.tgz(NetBSD 9.0)
x86_64:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
x86_64:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)
x86_64:p5-Session-Storage-Secure-0.011nb3.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]